ads_write| Parameter | Description and requirements |
|---|---|
ad_image_X_linkRestricted | Link to an ad image.
|
ad_image_X_tagRestricted | Message tag for the corresponding image.
|
curl --request POST \ --url https://api.pinterest.com/v5/catalogs/items/batch \ --header 'authorization: Bearer pina_ABCD1234...' \ --header 'content-type: application/json' \ --data '{ "catalog_type": "RETAIL", "catalog_id": "4672924420296", "country": "AD", "language": "af-ZA", "items": [ { "item_id": "DS0294-M", "operation": "CREATE", "attributes": { "ad_image_0_link": "https://www.example.com/image/image_v2.jpg", "ad_image_1_link": "https://www.example.com/image/image_v2.jpg", "ad_image_2_link": "https://www.example.com/image/image_v2.jpg", "ad_image_0_tag": "black friday", "ad_image_1_tag": "black friday", "ad_image_2_tag": "black friday" } } ] }'
| Column name | Description and requirements |
|---|---|
ad_image_X_link | Link to an ad image.
|
ad_image_X_tag | Message tag for the corresponding image.
|

| Parameter name | Description and requirements |
|---|---|
selected_image_tagstring | Select a specific image tag from your
feed. Maximum length is 511 characters. To use this parameter make sure to disable the following features:
|
is_generate_backgroundstring | Set to falseYou cannot create a PGP with selected_image_tag |
preferred_media_typestring | Select IMAGE |
ad_group_idstring | Identifier for ad group that you are linking to this PGP. Call to see all your available ad groups. |
POST /ad_accounts/{ad_account_id}/product_group_promotions
{ "product_group_promotion": [ { "catalog_product_group_name": "catalogProductGroupName1", "catalog_product_group_id": "3672924420295", "tracking_url": "https://www.pinterest.com", "creative_type": "SHOPPING", "status": "ACTIVE", "selected_image_tag": "blackFriday" } ], "ad_group_id": "2680059592705" }
idselected_image_tagis_creative_optimizationfalse| Parameter name | Description and requirements |
|---|---|
catalog_product_group_idstring required | Catalog product group id returned when you set up the product group
promotion. Example: 123-456-789 |
image_tagstring | Multi-image template tag associated with the catalog products. Example: Christmas Sale |
preferred_media_typestring | Select IMAGE |
creative_typestring | Select a format of the shopping ad preview:
|
preferred_media_typestring | Select IMAGE |
item_idstring | Item ID for product to preview standard shopping ads. Only for SHOPPING Example: 111111 |
customizable_cta_typestring | Apply a call-to-action to the ad:
|
hero_pin_idstring | Pin ID for the hero image. Only for COLLECTIONExample: 987654321 |
hero_image_urlstring | Hero image link. Only for COLLECTIONExample: https://somewebsite.com/someimage.jpg |
hero_image_titlestring | Title of the ad copy. Required for the COLLECTIONhero_pin_idExample: My Preview Image |
Christmas SalePOST https://api.pinterest.com/v5/ad_accounts/{advertiser_id}/ad_previews{"catalog_product_group_id": '123-456-789',"image_tag": 'Christmas Sale',"creative_type": SHOPPING,“item_id” :’1111111’,“customizable_cta_type”:’SHOP_NOW’}
POST https://api.pinterest.com/v5/ad_accounts/{advertiser_id}/ad_previews{"catalog_product_group_id": '123-456-789',"image_tag": 'Christmas Sale',"creative_type": 'COLLECTION',“hero_pin_id”:'987654321'}
POST https://api.pinterest.com/v5/ad_accounts/{advertiser_id}/ad_previews{"catalog_product_group_id": '123-456-789',"image_tag": 'Christmas Sale',"creative_type": 'COLLECTION',“hero_image_url”:'https://somewebsite.com/someimage.jpg',“hero_image_title”:'My Preview Image'}
{ "url": "https://ads.pinterest.com/ad-preview/68cb6cfce60580449cd44290c68db953136269eb57d8bc522f5db0cbc4682b7e/" }